View Issue Details

IDProjectCategoryView StatusLast Update
0004755SOGoActiveSyncpublic2019-09-23 08:26
ReporterMartinL Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version4.0.7 
Fixed in Version4.1.0 
Summary0004755: Character ???? (Unicode U+1F3FF) in mail subject brake synchronisation with ActiveSync
Description

E-Mail Synchronisation with ActiveSync fail when there is character ???? (Unicode U+1F3FF) in subject.
The following error is reported in log file:
[ERROR] <0x0x563a87942da0[NSDataMalloc]> xml2wbxmlFromContent: failed: Parsing of XML Document Failed

Steps To Reproduce

Send a mail with ???? in the subject to a SOGo user then trying to synchronize his mailbox from an ActiveSync device.

Additional Information

The subject appear as "(null)" in SOGo webmail.
I made some test and this issue appear only with this specific character only in subject. Synchronization work fine with character in mail body or in a calendar event.
Synchronization work fine when this character is quoted in the subject like "Invitation acceptée : «test ????»" or simply 'test "????"'.
I didn't find this issue with other characters.
I did my test with a MySQL database and utf8mb4_general_ci character set.

TagsNo tags attached.

Activities

MartinL

MartinL

2019-05-28 06:00

reporter  

tfu

tfu

2019-05-30 09:39

reporter   ~0013584

I tracked the problem to SOPE.

NSData+MimeQP.m (Line 223):
data = [data stringByTrimmingCharactersInSet: illegalCS];

The problem can be reproduced with U+1F3FF at the begin/end of the mail subject.
Having this character in the middle of the subject is not a problem.

Without this line the crash doesn't occure and the subject is correctly displayed in webUI (instead of (null)).

tfu

tfu

2019-09-23 07:54

reporter   ~0013763

Fixed:https://github.com/inverse-inc/sope/commit/f567f984bf1c9f2cad86a3f66667f5ad8b796760

Issue History

Date Modified Username Field Change
2019-05-28 06:00 MartinL New Issue
2019-05-28 06:00 MartinL File Added: test-02_1342_229c3d87_4.data
2019-05-30 09:39 tfu Note Added: 0013584
2019-09-23 07:54 tfu Note Added: 0013763
2019-09-23 08:26 francis Status new => resolved
2019-09-23 08:26 francis Fixed in Version => 4.1.0
2019-09-23 08:26 francis Resolution open => fixed
2019-09-23 08:26 francis Assigned To => francis